TCBMGR(1)

NAME
tcbmgr - the command line utility of the B+ tree database API

DESCRIPTION
The command `tcbmgr' is a utility for test and debugging of the B+ tree database API and its applications. `path' specifies the path of a database file. `lmemb' specifies the number of members in each leaf page. `nmemb' specifies the number of members in each non-leaf page. `bnum' specifies the number of buckets. `apow' specifies the power of the alignment. `fpow' specifies the power of the free block pool. `key' specifies the key of a record. `value' specifies the value of a record. `file' specifies the input file.

    tcbmgr create [-cd|-ci|-cj] [-tl] [-td|-tb|-tt|-tx] path [lmemb [nmemb [bnum [apow [fpow]]]]]
        Create a database file.
    tcbmgr inform [-nl|-nb] path
        Print miscellaneous information to the standard output.
    tcbmgr put [-cd|-ci|-cj] [-nl|-nb] [-sx] [-dk|-dc|-dd|-db|-dai|-dad] path key value
        Store a record.
    tcbmgr out [-cd|-ci|-cj] [-nl|-nb] [-sx] path key
        Remove a record.
    tcbmgr get [-cd|-ci|-cj] [-nl|-nb] [-sx] [-px] [-pz] path key
        Print the value of a record.
    tcbmgr list [-cd|-ci|-cj] [-nl|-nb] [-m num] [-bk] [-pv] [-px] [-j str] [-rb bkey ekey] [-fm str] path
        Print keys of all records, separated by line feeds.
    tcbmgr optimize [-cd|-ci|-cj] [-tl] [-td|-tb|-tt|-tx] [-tz] [-nl|-nb] [-df] path [lmemb [nmemb [bnum [apow [fpow]]]]]
        Optimize a database file.
    tcbmgr importtsv [-nl|-nb] [-sc] path [file]
        Store records of TSV in each line of a file.
    tcbmgr version
        Print the version information of Tokyo Cabinet.

Options feature the following.

    -cd : use the comparison function `tccmpdecimal'.
    -ci : use the comparison function `tccmpint32'.
    -cj : use the comparison function `tccmpint64'.
    -tl : enable the option `BDBTLARGE'.
    -td : enable the option `BDBTDEFLATE'.
    -tb : enable the option `BDBTBZIP'.
    -tt : enable the option `BDBTTCBS'.
    -tx : enable the option `BDBTEXCODEC'.
    -nl : enable the option `BDBNOLCK'.
    -nb : enable the option `BDBLCKNB'.
    -sx : the input data is evaluated as a hexadecimal data string.
    -dk : use the function `tcbdbputkeep' instead of `tcbdbput'.
    -dc : use the function `tcbdbputcat' instead of `tcbdbput'.
    -dd : use the function `tcbdbputdup' instead of `tcbdbput'.
    -db : use the function `tcbdbputdupback' instead of `tcbdbput'.
    -dai : use the function `tcbdbaddint' instead of `tcbdbput'.
    -dad : use the function `tcbdbadddouble' instead of `tcbdbput'.
    -px : the output data is converted into a hexadecimal data string.
    -pz : do not append line feed at the end of the output.
    -m num : specify the maximum number of the output.
    -bk : perform backword scanning.
    -pv : print values of records also.
    -j str : specify the key where the cursor jump to.
    -rb bkey ekey : specify the range of keys.
    -fm str : specify the prefix of keys.
    -tz : enable the option `UINT8_MAX'.
    -df : perform defragmentation only.
    -sc : normalize keys as lower cases.

This command returns 0 on success, another on failure.

SEE ALSO

tcbtest(1), tcbmttest(1), tcbdb(3), tokyocabinet(3)